Subject: [Simple] Can the subscription sip URI be the pres URI of the presentity?

From: "Hyttfors, Per" <[email-masked]>
Date: Wed, 7 Jun 2006 16:15:16 +0200

It is stated in RFC 3863 §4.1.1 that the <presence> element MUST have an 'entity' attribute. The value of the 'entity' attribute is the 'pres' URL of the PRESENTITY publishing this presence document.

Examples in "draft-ietf-simple-rpid-10", "draft-ietf-simple-partial-pidf-format-06" has the 'entity' attribute set to a pres: URI. The example in section 6 in IETF draft "draft-ietf-simple-event-list-07" has the 'entity' attribute set to a sip: URI, the same URI as the one in the resource lists document for that user.

Can the presentity URI be the same as the URI used when subscribing? I.e can the subscription sip URI be the 'pres' URL of the presentity?

Also, don't know if this has been reported, but the example in 7.1 in draft-ietf-simple-presence-data-model-07 is invalid, the entity attribute is missing.

(The unanswered question below covers the same question as mine)

Regards,

Per
 
>-----Original Message-----
>From: [email-masked] 
>[mailto:[email-masked]] 
>Sent: tisdag den 30 maj 2006 11:40
>To: [email-masked]
>Cc: [email-masked]
>Subject: [Simple] publishing presence state - sip and pres uris (again)
>
>Hi, please could you check my questions?
>
>Thank you,
>Silvestr
>
>>-----Original Message-----
>>From: Jonathan Rosenberg [mailto:[email-masked]]
>>Sent: Monday, May 01, 2006 9:21 PM
>>To: Peknik Silvestr
>>Cc: [email-masked]
>>Subject: Re: [Simple] publishing presence state - sip and pres uris
>>
>>This can happen, yes. The presence data model draft (out shortly as an
>>RFC) does say you shouldn't do this - that the URI in the 
>SUBSCRIBE or 
>>PUBLISH should match that in the document.
>
>What is the relation between To header and r-URI? Currently it 
>seems to me that the client should set both to the same value, 
>but r-URI can be changed by proxies. If this is the case, why 
>not to use To header instead of r-URI for identifying the 
>target of the request? And if the r-URI can not be changed, 
>what is the purpose of To header?
>
>>
>>That said, the presence server should know that the pres and sip URI
>are
>>equivalent, and thus even though the R-uri identifies the SIP 
>URI, the 
>>document should be applied to the presentity URI sip:[email-masked]
>as
>>well. Consequently, a SUBSCRIBE request for 
>sip:[email-masked] would 
>>return a presence document whose entity attribute is
>sip:[email-masked].
>
>I guess there is typo - it should say:
>...applied to the presentity URI pres:[email-masked] as well...
>Am I right?
>
>Thank you,
>Silvestr Peknik
>
>_______________________________________________
>Simple mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/simple
>

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple